# Tomcat
server:
  port: 9214
  servlet:
    context-path:

#mybatis-plus配置
#mybatis-plus:
#  mapper-locations:
#    - classpath*:com/jeeplus/modules/**/*Mapper.xml
#    - classpath:/META-INF/admin-mybatis-mappings/*.xml
#    - classpath:/META-INF/modeler-mybatis-mappings/*.xml
#  #实体扫描，多个package用逗号或者分号分隔
#  typeAliasesPackage: com.jeeplus.modules.**.entity
#  configuration-properties:
#    prefix:
#    boolValue: TRUE
#    blobType: BLOB

# Spring
spring:
  application:
    # 应用名称
    name: jeeplus-devtools
  boot:
    admin:
      client:
        url: http://localhost:8989
  profiles:
    # 环境配置
    active: pro
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8848
        # 命名空间
        namespace: ${spring.profiles.active}
        ip: 127.0.0.1
        username: nacos
        password: jsxgpassword
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application.${spring.cloud.nacos.config.file-extension}
        # 命名空间
        namespace: ${spring.profiles.active}
        username: ${spring.cloud.nacos.discovery.username}
        password: ${spring.cloud.nacos.discovery.password}
      auth:
        plugin:
          nacos:
            token:
              secret:
                key: cCtJSWRxbW1xT3FmZkh1RTBpdTltYkM5ZlNSaTRyQ1RiSzJzV1pweEYycz0=
    sentinel:
      transport:
        dashboard: 127.0.0.1:8858
#ribbon的超时时间
ribbon:
  ConnectTimeout: 60000 # 连接超时时间(ms)
  ReadTimeout: 60000 # 通信超时时间(ms)

hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMillisecond: 60000 # 熔断超时时长：60000ms
management:
  endpoints:
    web:
      exposure:
        include: "*"

# 开发者全局信息配置，优先级高于数据库中的配置，如果不启用将采用数据库中配置
devtool:
  enabled: false      # 是否启用本地配置, true/false
  projectPath: /xx          #后端生成路径
  frontPath: /xx    # 前端生成路径
  packageName: com.jeeplus    # 默认包名
  author: xx     # 默认作者

## 产品授权
productId: Y2022090451
license: 58EE9AC0C202B94867F8B0709958E5AD2922ADFC5DDFA8C6E2E8A7C689D0527F170990656AD67077AAB39785E90728D51110355D13D05508833A02CB7A222467C3AA37B85AD6A14D210068B9DEB4537C8552E507FA6D6029C5DA8C33B06367798643629A85AEE341E3B247F2F456AA4C706914AD8DEFABF546F1FD4F5706B8DA

